Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sum.werkzeuge
Class Rechner

    java.lang.Object
      sum.werkzeuge.Rechner

All Implemented Interfaces:
  Serializable

    public class Rechner

extends Object
implements Serializable

Ein Rechner realisiert ein Objekt, das verschiedene mathematische Funktionen zur Verfuegung stellt. Darin eingeschlossen ist ein Zufallsgenerator.

Version:
  7.0 vom 21.9.2008
Author:
  Bernard Schriek
See Also:
  Serialized Form

Constructor Summary
`Rechner()` Der Rechner wird initialisiert.

Method Summary
`double` | `acos(double pZahl)` Es wird der Arcus Kosinus als Winkel zurueckgegeben.
`double` | `asin(double pZahl)` Es wird der Arcus Sinus als Winkel zurueckgegeben.
`double` | `atan(double pZahl)` Es wird der Arcus Tangens als Winkel zurueckgegeben.
`double` | `betrag(double pZahl)` Es wird der Betrag zurueckgegeben.
`int` | `betrag(int pZahl)` Es wird der Betrag zurueckgegeben.
`double` | `cos(double pWinkel)` Es wird der Kosinus zurueckgegeben.
`String` | `dezimalInDual(int pZahl)` Eine Zahl wurde ins Zweiersystem umgewandelt.
`int` | `dualInDezimal(String pDualzahl)` Eine Zahl wurde aus dem Zweiersystem umgewandelt.
`double` | `exp(double pZahl)` Es wird der Wert der Exponentialfunktion (e-Funktion) zurueckgegeben.
`int` | `ganzerAnteil(double pZahl)` Es wird die ganzzahlige Anteil der Zahl zurueckgegeben.
`int` | `ganzeZufallszahl()` Es wird eine ganze Zufallszahl zurueckgegeben.
`int` | `ganzeZufallsZahl()` Es wird eine ganze Zufallszahl zurueckgegeben.
`int` | `ganzeZufallszahl(int pVon, int pBis)` Es wird eine ganze Zufallszahl zwischen pVon und pBis zurueckgegeben.
`int` | `ganzeZufallsZahl(int pVon, int pBis)` Es wird eine ganze Zufallszahl zwischen pVon und pBis zurueckgegeben.
`int` | `gerundet(double pZahl)` Es wird die gerundete Zahl zurueckgegeben.
`void` | `gibFrei()` Dummy-Prozedur
`double` | `ln(double pZahl)` Es wird der natuerliche Logarithmus zurueckgegeben.
`double` | `potenz(double pBasis, double pExponent)` Es wird die Potenz zurueckgegeben.
`int` | `potenz(int pBasis, int pExponent)` Es wird die Potenz zurueckgegeben.
`double` | `quadrat(double pZahl)` Es wird das Quadrat zurueckgegeben.
`int` | `quadrat(int pZahl)` Es wird das Quadrat zurueckgegeben.
`double` | `sin(double pWinkel)` Es wird der Sinus zurueckgegeben.
`double` | `tan(double pWinkel)` Es wird der Tangens zurueckgegeben.
`double` | `wurzel(double pZahl)` Es wird die Wurzel zurueckgegeben.
`double` | `zufallszahl()` Es wird eine Zufallszahl zwischen 0 und 1 zurueckgegeben.
`double` | `zufallsZahl()` Es wird eine Zufallszahl zwischen 0 und 1 zurueckgegeben.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Rechner

    public Rechner()

  Der Rechner wird initialisiert.

Method Detail

### acos

    public double acos(double pZahl)

  Es wird der Arcus Kosinus als Winkel zurueckgegeben.

  Parameters:
    `pZahl` - die Zahl, deren Arcus Kosinus ermittelt wird
  Returns:
    der Winkel der der Arcus Kosinus von pZahl ist

### asin

    public double asin(double pZahl)

  Es wird der Arcus Sinus als Winkel zurueckgegeben.

  Parameters:
    `pZahl` - die Zahl, deren Arcus Sinus ermittelt wird
  Returns:
    der Winkel der der Arcus Sinus von pZahl ist

### atan

    public double atan(double pZahl)

  Es wird der Arcus Tangens als Winkel zurueckgegeben.

  Parameters:
    `pZahl` - die Zahl, deren Arcus Tangens ermittelt wird
  Returns:
    der Winkel der der Arcus Tangens von pZahl ist

### betrag

    public double betrag(double pZahl)

  Es wird der Betrag zurueckgegeben.

  Parameters:
    `pZahl` - die Zahl, deren Betrag ermittelt wird
  Returns:
    den Betrag der Zahl pZahl

### betrag

    public int betrag(int pZahl)

  Es wird der Betrag zurueckgegeben.

  Parameters:
    `pZahl` - die Zahl, deren Betrag ermittelt wird
  Returns:
    den Betrag der Zahl pZahl

### cos

    public double cos(double pWinkel)

  Es wird der Kosinus zurueckgegeben.

  Parameters:
    `pWinkel` - der Winkel, dessen Kosinus ermittelt wird
  Returns:
    der Kosinus des Winkels pWinkel

### dezimalInDual

    public String dezimalInDual(int pZahl)

  Eine Zahl wurde ins Zweiersystem umgewandelt.

  Parameters:
    `pZahl` - die in eine Dualzahl zu wandelnde zahl
  Returns:
    die Dualzahl als Zeichenkette

### dualInDezimal

    public int dualInDezimal(String pDualzahl)

  Eine Zahl wurde aus dem Zweiersystem umgewandelt.

  Parameters:
    `pDualzahl` - die in eine Dezimalzahl zu wandelnde Dualzahl
  Returns:
    die gewandelte ganze Zahl

### exp

    public double exp(double pZahl)

  Es wird der Wert der Exponentialfunktion (e-Funktion) zurueckgegeben.

  Parameters:
    `pZahl` - die Zahl, deren Exponentialwert ermittelt wird
  Returns:
    der Exponentialwert von pZahl

### ganzerAnteil

    public int ganzerAnteil(double pZahl)

  Es wird die ganzzahlige Anteil der Zahl zurueckgegeben.

  Parameters:
    `pZahl` - die auf den ganzen Anteil zu kuerzende Zahl
  Returns:
    der Vorkommateil der Zahl

### ganzeZufallszahl

    public int ganzeZufallszahl()

  Es wird eine ganze Zufallszahl zurueckgegeben.

  Returns:
    eine ganze Zufallszahl

### ganzeZufallsZahl

    public int ganzeZufallsZahl()

  Es wird eine ganze Zufallszahl zurueckgegeben.

  Returns:
    eine ganze Zufallszahl

### ganzeZufallszahl

    public int ganzeZufallszahl(int pVon,
                                int pBis)

  Es wird eine ganze Zufallszahl zwischen pVon und pBis zurueckgegeben.

  Parameters:
    `pVon` - Minimalwert der Zufallszahl
    `pBis` - Maximalwert der Zufallszahl
  Returns:
    eine ganze Zufallszahl zwischen pVon und pBis

### ganzeZufallsZahl

    public int ganzeZufallsZahl(int pVon,
                                int pBis)

  Es wird eine ganze Zufallszahl zwischen pVon und pBis zurueckgegeben.

  Parameters:
    `pVon` - Minimalwert der Zufallszahl
    `pBis` - Maximalwert der Zufallszahl
  Returns:
    eine ganze Zufallszahl zwischen pVon und pBis

### gerundet

    public int gerundet(double pZahl)

  Es wird die gerundete Zahl zurueckgegeben.

  Parameters:
    `pZahl` - die zu rundende Zahl
  Returns:
    die gerundete Zahl als ganze Zahl

### gibFrei

    public void gibFrei()

  Dummy-Prozedur

### ln

    public double ln(double pZahl)

  Es wird der natuerliche Logarithmus zurueckgegeben.

  Parameters:
    `pZahl` - die Zahl, deren natuerlicher Logarithmus ermittelt wird
  Returns:
    der natuerliche Logarithmus von pZahl

### potenz

    public double potenz(double pBasis,
                         double pExponent)

  Es wird die Potenz zurueckgegeben. Die Basis darf nicht negativ sein.

  Parameters:
    `pBasis` - die Basis der Potenz
    `pExponent` - die Hochzahl der Potenz
  Returns:
    die Potenz Basis^Exponent

### potenz

    public int potenz(int pBasis,
                      int pExponent)

  Es wird die Potenz zurueckgegeben. Die Basis darf nicht negativ sein.

  Parameters:
    `pBasis` - die Basis der Potenz
    `pExponent` - die Hochzahl der Potenz
  Returns:
    die Potenz Basis^Exponent

### quadrat

    public double quadrat(double pZahl)

  Es wird das Quadrat zurueckgegeben.

  Parameters:
    `pZahl` - die Zahl, deren Quadrat ermittelt wird
  Returns:
    das Quadrat der Zahl pZahl

### quadrat

    public int quadrat(int pZahl)

  Es wird das Quadrat zurueckgegeben.

  Parameters:
    `pZahl` - die Zahl, deren Quadrat ermittelt wird
  Returns:
    das Quadrat der Zahl pZahl

### sin

    public double sin(double pWinkel)

  Es wird der Sinus zurueckgegeben.

  Parameters:
    `pWinkel` - der Winkel, dessen Sinus ermittelt wird
  Returns:
    der Sinus des Winkels pWinkel

### tan

    public double tan(double pWinkel)

  Es wird der Tangens zurueckgegeben.

  Parameters:
    `pWinkel` - der Winkel, dessen Tangens ermittelt wird
  Returns:
    der Tangens des Winkels pWinkel

### wurzel

    public double wurzel(double pZahl)

  Es wird die Wurzel zurueckgegeben.

  Parameters:
    `pZahl` - die Zahl, deren Wurzel ermittelt wird
  Returns:
    die Wurzel der Zahl pZahl

### zufallszahl

    public double zufallszahl()

  Es wird eine Zufallszahl zwischen 0 und 1 zurueckgegeben.

  Returns:
    eine Zufallszahl zwischen 0 und 1

### zufallsZahl

    public double zufallsZahl()

  Es wird eine Zufallszahl zwischen 0 und 1 zurueckgegeben.

  Returns:
    eine Zufallszahl zwischen 0 und 1

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD